=== Qt/Components/CMakeLists.txt ===
#==========================================================================
#
#     Program: ParaView
#
#     Copyright (c) 2005-2008 Sandia Corporation, Kitware Inc.
#     All rights reserved.
#
#     ParaView is a free software; you can redistribute it and/or modify it
#     under the terms of the ParaView license version 1.2.
#
#     See License_v1.2.txt for the full ParaView license.
#     A copy of this license can be obtained by contacting
#     Kitware Inc.
#     28 Corporate Drive
#     Clifton Park, NY 12065
#     USA
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
#  ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
#  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
#  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHORS OR
#  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
#  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
#  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
#  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
#  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
#  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
#==========================================================================
set (Module_SRCS
  pq3DWidget.cxx
  pq3DWidget.h
  pq3DWidgetInterface.cxx
  pq3DWidgetInterface.h
  pq3DWidgetPropertyWidget.cxx
  pq3DWidgetPropertyWidget.h
  pqAboutDialog.cxx
  pqAboutDialog.h
  pqActionGroupInterface.cxx
  pqActionGroupInterface.h
  pqActiveObjects.cxx
  pqActiveObjects.h
  pqAnimatablePropertiesComboBox.cxx
  pqAnimatablePropertiesComboBox.h
  pqAnimatableProxyComboBox.cxx
  pqAnimatableProxyComboBox.h
  pqAnimationManager.cxx
  pqAnimationManager.h
  pqAnimationViewWidget.cxx
  pqAnimationViewWidget.h
  pqArrayListDomain.cxx
  pqArrayListDomain.h
  pqArrayStatusPropertyWidget.cxx
  pqArrayStatusPropertyWidget.h
  pqAutoGeneratedObjectPanel.cxx
  pqAutoGeneratedObjectPanel.h
  pqBoxWidget.cxx
  pqBoxWidget.h
  pqCalculatorWidget.cxx
  pqCalculatorWidget.h
  pqCameraDialog.cxx
  pqCameraDialog.h
  pqCameraKeyFrameWidget.cxx
  pqCameraKeyFrameWidget.h
  pqChangeInputDialog.cxx
  pqChangeInputDialog.h
  pqCollaborationPanel.cxx
  pqCollaborationPanel.h
  pqColorChooserButtonWithPalettes.cxx
  pqColorChooserButtonWithPalettes.h
  pqComboBoxDomain.cxx
  pqComboBoxDomain.h
  pqCommandPropertyWidget.h
  pqCommandPropertyWidget.cxx
  pqComparativeCueWidget.cxx
  pqComparativeCueWidget.h
  pqComparativeVisPanel.cxx
  pqComparativeVisPanel.h
  pqComponentsInit.cxx
  pqComponentsInit.h
  pqComponentsTestUtility.cxx
  pqComponentsTestUtility.h
  pqContourWidget.cxx
  pqContourWidget.h
  pqCubeAxesEditorDialog.cxx
  pqCubeAxesEditorDialog.h
  pqCustomFilterDefinitionModel.cxx
  pqCustomFilterDefinitionModel.h
  pqCustomFilterDefinitionWizard.cxx
  pqCustomFilterDefinitionWizard.h
  pqCustomFilterManager.cxx
  pqCustomFilterManager.h
  pqCustomFilterManagerModel.cxx
  pqCustomFilterManagerModel.h
  pqCustomViewButtonDialog.cxx
  pqCustomViewButtonDialog.h
  pqDataInformationModel.cxx
  pqDataInformationModel.h
  pqDataInformationWidget.cxx
  pqDataInformationWidget.h
  pqDialog.cxx
  pqDialog.h
  pqDisplayColorWidget.cxx
  pqDisplayColorWidget.h
  pqDisplayPanel.cxx
  pqDisplayPanel.h
  pqDisplayPanelInterface.cxx
  pqDisplayPanelInterface.h
  pqDisplayPanelPropertyWidget.cxx
  pqDisplayPanelPropertyWidget.h
  pqDisplayRepresentationWidget.cxx
  pqDisplayRepresentationWidget.h
  pqDistanceWidget.cxx
  pqDistanceWidget.h
  pqDockWindowInterface.cxx
  pqDockWindowInterface.h
  pqDoubleVectorPropertyWidget.cxx
  pqDoubleVectorPropertyWidget.h
  pqExodusIIVariableSelectionWidget.cxx
  pqExodusIIVariableSelectionWidget.h
  pqFieldSelectionAdaptor.cxx
  pqFieldSelectionAdaptor.h
  pqFileChooserWidget.cxx
  pqFileChooserWidget.h
  pqFindDataCreateSelectionFrame.cxx
  pqFindDataCreateSelectionFrame.h
  pqFindDataCurrentSelectionFrame.cxx
  pqFindDataCurrentSelectionFrame.h
  pqFindDataSelectionDisplayFrame.cxx
  pqFindDataSelectionDisplayFrame.h
  pqFindDataDialog.cxx
  pqFindDataDialog.h
  pqFixStateFilenamesDialog.cxx
  pqFixStateFilenamesDialog.h
  pqGlyphPanel.cxx
  pqGlyphPanel.h
  pqHandleWidget.cxx
  pqHandleWidget.h
  pqHighlightItemDelegate.cxx
  pqHighlightItemDelegate.h
  pqImageTip.cxx
  pqImageTip.h
  pqImplicitCylinderWidget.cxx
  pqImplicitCylinderWidget.h
  pqImplicitPlaneWidget.cxx
  pqImplicitPlaneWidget.h
  pqIndexSelectionWidget.cxx
  pqIndexSelectionWidget.h
  pqIntMaskPropertyWidget.cxx
  pqIntMaskPropertyWidget.h
  pqIntRangeWidget.cxx
  pqIntRangeWidget.h
  pqIntVectorPropertyWidget.cxx
  pqIntVectorPropertyWidget.h
  pqItemViewSearchWidget.cxx
  pqItemViewSearchWidget.h
  pqItemViewSearchWidgetEventPlayer.cxx
  pqItemViewSearchWidgetEventPlayer.h
  pqKeyFrameEditor.cxx
  pqKeyFrameEditor.h
  pqKeyFrameTimeValidator.cxx
  pqKeyFrameTimeValidator.h
  pqKeyFrameTypeWidget.cxx
  pqKeyFrameTypeWidget.h
  pqLabel.cxx
  pqLabel.h
  pqLineSourceWidget.cxx
  pqLineSourceWidget.h
  pqLineWidget.cxx
  pqLineWidget.h
  pqLinksEditor.cxx
  pqLinksEditor.h
  pqLinksManager.cxx
  pqLinksManager.h
  pqLiveInsituManager.h
  pqLiveInsituManager.cxx
  pqLiveInsituVisualizationManager.cxx
  pqLiveInsituVisualizationManager.h
  pqLockViewSizeCustomDialog.cxx
  pqLockViewSizeCustomDialog.h
  pqMemoryInspectorPanel.cxx
  pqMemoryInspectorPanel.h
  pqMultiBlockInspectorPanel.cxx
  pqMultiBlockInspectorPanel.h
  pqMultiViewWidget.cxx
  pqMultiViewWidget.h
  pqNamedObjectPanel.cxx
  pqNamedObjectPanel.h
  pqNamedWidgets.cxx
  pqNamedWidgets.h
  pqObjectPanel.cxx
  pqObjectPanel.h
  pqObjectPanelInterface.cxx
  pqObjectPanelInterface.h
  pqObjectPanelPropertyWidget.cxx
  pqObjectPanelPropertyWidget.h
  pqOrbitCreatorDialog.cxx
  pqOrbitCreatorDialog.h
  pqOrbitWidget.cxx
  pqOrbitWidget.h
  pqOutputPortComboBox.cxx
  pqOutputPortComboBox.h
  pqPipelineAnnotationFilterModel.cxx
  pqPipelineAnnotationFilterModel.h
  pqPipelineBrowserWidget.cxx
  pqPipelineBrowserWidget.h
  pqPipelineModel.cxx
  pqPipelineModel.h
  pqPipelineModelSelectionAdaptor.cxx
  pqPipelineModelSelectionAdaptor.h
  pqPipelineTimeKeyFrameEditor.cxx
  pqPipelineTimeKeyFrameEditor.h
  pqPluginDialog.cxx
  pqPluginDialog.h
  pqPluginTreeWidgetEventPlayer.cxx
  pqPluginTreeWidgetEventPlayer.h
  pqPluginTreeWidgetEventTranslator.cxx
  pqPluginTreeWidgetEventTranslator.h
  pqPluginTreeWidget.h
  pqPointSourceWidget.cxx
  pqPointSourceWidget.h
  pqPolyLineWidget.cxx
  pqPolyLineWidget.h
  pqPopOutWidget.cxx
  pqPopOutWidget.h
  pqPresetDialog.cxx
  pqPresetDialog.h
  pqPresetToPixmap.cxx
  pqPresetToPixmap.h
  pqPropertiesPanel.cxx
  pqPropertiesPanel.h
  pqPropertyGroupWidget.cxx
  pqPropertyGroupWidget.h
  pqPropertyWidget.cxx
  pqPropertyWidget.h
  pqPropertyWidgetDecorator.h
  pqPropertyWidgetDecorator.cxx
  pqPropertyWidgetInterface.cxx
  pqPropertyWidgetInterface.h
  pqProxiesWidget.cxx
  pqProxiesWidget.h
  pqProxyEditorPropertyWidget.cxx
  pqProxyEditorPropertyWidget.h
  pqProxyInformationWidget.cxx
  pqProxyInformationWidget.h
  pqProxyPanel.cxx
  pqProxyPanel.h
  pqProxyPropertyWidget.cxx
  pqProxyPropertyWidget.h
  pqProxySelectionWidget.cxx
  pqProxySelectionWidget.h
  pqProxySILModel.cxx
  pqProxySILModel.h
  pqProxyWidget.cxx
  pqProxyWidgetDialog.cxx
  pqProxyWidgetDialog.h
  pqProxyWidget.h
  pqQueryClauseWidget.cxx
  pqQueryClauseWidget.h
  pqRecentFilesMenu.cxx
  pqRecentFilesMenu.h
  pqRemoteCommandDialog.cxx
  pqRemoteCommandDialog.h
  pqRemoteCommandTemplateDialog.cxx
  pqRemoteCommandTemplateDialog.h
  pqRescaleRange.cxx
  pqRescaleRange.h
  pqSampleScalarAddRangeDialog.cxx
  pqSampleScalarAddRangeDialog.h
  pqSampleScalarWidget.cxx
  pqSampleScalarWidget.h
  pqSaveSnapshotDialog.cxx
  pqSaveSnapshotDialog.h
  pqScalarSetModel.cxx
  pqScalarSetModel.h
  pqScalarValueListPropertyWidget.cxx
  pqScalarValueListPropertyWidget.h
  pqSearchBox.cxx
  pqSearchBox.h
  pqSelectionAdaptor.cxx
  pqSelectionAdaptor.h
  pqSelectionInputWidget.cxx
  pqSelectionInputWidget.h
  pqSelectionManager.cxx
  pqSelectionManager.h
  pqSelectReaderDialog.cxx
  pqSelectReaderDialog.h
  pqServerConfigurationImporter.cxx
  pqServerConfigurationImporter.h
  pqServerConnectDialog.cxx
  pqServerConnectDialog.h
  pqServerLauncher.cxx
  pqServerLauncher.h
  pqSetBreakpointDialog.cxx
  pqSetBreakpointDialog.h
  pqSettingsDialog.cxx
  pqSettingsDialog.h
  pqSignalAdaptorCompositeTreeWidget.cxx
  pqSignalAdaptorCompositeTreeWidget.h
  pqSignalAdaptorKeyFrameType.cxx
  pqSignalAdaptorKeyFrameType.h
  pqSignalAdaptorSelectionTreeWidget.cxx
  pqSignalAdaptorSelectionTreeWidget.h
  pqSignalAdaptorTreeWidget.cxx
  pqSignalAdaptorTreeWidget.h
  pqSILModel.cxx
  pqSILModel.h
  pqSILWidget.cxx
  pqSILWidget.h
  pqSMSignalAdaptors.cxx
  pqSMSignalAdaptors.h
  pqSphereWidget.cxx
  pqSphereWidget.h
  pqSplineWidget.cxx
  pqSplineWidget.h
  pqSpreadSheetViewDecorator.cxx
  pqSpreadSheetViewDecorator.h
  pqStandardLegacyCustomPanels.cxx
  pqStandardLegacyCustomPanels.h
  pqStringVectorPropertyWidget.cxx
  pqStringVectorPropertyWidget.h
  pqTabbedMultiViewWidget.cxx
  pqTabbedMultiViewWidget.h
  pqTextureComboBox.cxx
  pqTextureComboBox.h
  pqTextureSelectorPropertyWidget.cxx
  pqTextureSelectorPropertyWidget.h
  pqTimerLogDisplay.cxx
  pqTimerLogDisplay.h
  pqToolTipTrapper.cxx
  pqToolTipTrapper.h
  pqTransferFunctionWidget.cxx
  pqTransferFunctionWidget.h
  pqTriggerOnIdleHelper.cxx
  pqTriggerOnIdleHelper.h
  pqUndoStackBuilder.cxx
  pqUndoStackBuilder.h
  pqVariableType.h
  pqVCRController.cxx
  pqVCRController.h
  pqViewContextMenuHandler.cxx
  pqViewContextMenuHandler.h
  pqViewContextMenuManager.cxx
  pqViewContextMenuManager.h
  pqViewFrameActionsInterface.cxx
  pqViewFrameActionsInterface.h
  pqViewFrame.cxx
  pqViewFrame.h
  pqViewManager.cxx
  pqViewManager.h
  pqWidgetRangeDomain.cxx
  pqWidgetRangeDomain.h
  pqWriterDialog.cxx
  pqWriterDialog.h
  pqYoungsMaterialInterfacePanel.cxx
  pqYoungsMaterialInterfacePanel.h
)

set (Module_MOC_HDRS
  pq3DWidget.h
  pq3DWidgetPropertyWidget.h
  pqAboutDialog.h
  pqActiveObjects.h
  pqAnimatablePropertiesComboBox.h
  pqAnimatableProxyComboBox.h
  pqAnimationManager.h
  pqAnimationViewWidget.h
  pqArrayListDomain.h
  pqArrayStatusPropertyWidget.h
  pqAutoGeneratedObjectPanel.h
  pqBoxWidget.h
  pqCalculatorWidget.h
  pqCameraDialog.h
  pqCameraKeyFrameWidget.h
  pqChangeInputDialog.h
  pqColorChooserButtonWithPalettes.h
  pqCollaborationPanel.h
  pqComboBoxDomain.h
  pqCommandPropertyWidget.h
  pqComparativeCueWidget.h
  pqComparativeVisPanel.h
  pqComponentsTestUtility.h
  pqContourWidget.h
  pqCubeAxesEditorDialog.h
  pqCustomFilterDefinitionWizard.h
  pqCustomFilterManager.h
  pqCustomFilterManagerModel.h
  pqCustomViewButtonDialog.h
  pqDataInformationModel.h
  pqDataInformationWidget.h
  pqDialog.h
  pqDisplayColorWidget.h
  pqDisplayPanel.h
  pqDisplayPanelPropertyWidget.h
  pqDisplayRepresentationWidget.h
  pqDistanceWidget.h
  pqDoubleVectorPropertyWidget.h
  pqExodusIIVariableSelectionWidget.h
  pqFieldSelectionAdaptor.h
  pqFileChooserWidget.h
  pqFindDataCreateSelectionFrame.h
  pqFindDataCurrentSelectionFrame.h
  pqFindDataDialog.h
  pqFindDataSelectionDisplayFrame.h
  pqFixStateFilenamesDialog.h
  pqGlyphPanel.h
  pqHandleWidget.h
  pqHighlightItemDelegate.h
  pqImageTip.h
  pqImplicitCylinderWidget.h
  pqImplicitPlaneWidget.h
  pqIndexSelectionWidget.h
  pqIntMaskPropertyWidget.h
  pqIntRangeWidget.h
  pqIntVectorPropertyWidget.h
  pqItemViewSearchWidgetEventPlayer.h
  pqItemViewSearchWidget.h
  pqKeyFrameEditor.h
  pqKeyFrameTimeValidator.h
  pqKeyFrameTypeWidget.h
  pqLabel.h
  pqLineSourceWidget.h
  pqLineWidget.h
  pqLinksEditor.h
  pqLinksManager.h
  pqLiveInsituManager.h
  pqLiveInsituVisualizationManager.h
  pqLockViewSizeCustomDialog.h
  pqMemoryInspectorPanel.h
  pqMultiBlockInspectorPanel.h
