=== debian/changelog ===
paraview (5.0.0+dfsg1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * [c17113b] Remove libnetcdf-cxx-legacy-dev from BD.
  * [05966c7] Set minimum required version for libjsoncpp.

 -- Anton Gladky <gladk@debian.org>  Sun, 06 Mar 2016 00:18:59 +0100

paraview (5.0.0+dfsg1-2) unstable; urgency=medium

  * [5c5f581] Add some more python-deps.

 -- Anton Gladky <gladk@debian.org>  Fri, 05 Feb 2016 09:54:29 +0100

paraview (5.0.0+dfsg1-1) unstable; urgency=medium

  * [e3b6c88] Imported Upstream version 5.0.0+dfsg1
  * [97c9d00] Exclude some more files from the source.
  * [476cd3b] Disable MobileRemoteControl plugin
  * [40ef100] Add lebxdmf-dev to build-depends.
  * [f511d89] Update patches, remove applied by upstream.
  * [b6eeb8e] Update patch description.
  * [89b2ca9] Update install-files.
  * [d85222d] Tiny changes in d/rules.
  * [a6252e2] Use packaged version of some libs instead of embedded.
  * [bda2d81] Remove doc-base file
  * [9decaa5] Use DEP3 for utf8-patch.
  * [d059f30] Update d/copyright.

 -- Anton Gladky <gladk@debian.org>  Thu, 04 Feb 2016 22:51:08 +0100

paraview (4.1.0+dfsg+1-3) unstable; urgency=medium

  [ Andreas Cadhalpun ]
  * [53ca345] Replace deprecated FFmpeg API. (Closes: #803852)

  [ Anton Gladky ]
  * [ff45e72] Fix rescale over time. (Closes: #766406)
  * [b909a2d] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Sun, 10 Jan 2016 13:53:22 +0100

paraview (4.1.0+dfsg+1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Anton Gladky <gladk@debian.org>  Sat, 02 Jan 2016 21:23:19 +0100

paraview (4.1.0+dfsg+1-2) unstable; urgency=medium

  * [151d46f] Fix FTBFS against new freetype. (Closes: #783842)
  * [0065768] Install missing files in paraview-dev. (Closes: #783797)

 -- Anton Gladky <gladk@debian.org>  Tue, 05 May 2015 19:17:31 +0200
